SizeUnits (JavaFX 13)

Module javafx.graphics
Package javafx.css

## Enum SizeUnits

- java.lang.Object
- - java.lang.Enum<SizeUnits>
  - - javafx.css.SizeUnits

- All Implemented Interfaces:
    `Serializable`, `Comparable<SizeUnits>`

      public enum SizeUnits
      extends Enum<SizeUnits>

  Represents a size specified in a particular unit, such as 14px or 0.2em.
  Since:
    9

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CM` |
    `DEG` |
    `EM` |
    `EX` |
    `GRAD` |
    `IN` |
    `MM` |
    `MS` |
    `PC` |
    `PERCENT` |
    `PT` |
    `PX` |
    `RAD` |
    `S` |
    `TURN` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isAbsolute()` |
    `abstract double` | `pixels​(double value, double multiplier, Font font)` |
    `abstract double` | `points​(double value, double multiplier, Font font)` |
    `static SizeUnits` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static SizeUnits[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PERCENT

          public static final SizeUnits PERCENT

    - #### IN

          public static final SizeUnits IN

    - #### CM

          public static final SizeUnits CM

    - #### MM

          public static final SizeUnits MM

    - #### EM

          public static final SizeUnits EM

    - #### EX

          public static final SizeUnits EX

    - #### PT

          public static final SizeUnits PT

    - #### PC

          public static final SizeUnits PC

    - #### PX

          public static final SizeUnits PX

    - #### DEG

          public static final SizeUnits DEG

    - #### GRAD

          public static final SizeUnits GRAD

    - #### RAD

          public static final SizeUnits RAD

    - #### TURN

          public static final SizeUnits TURN

    - #### S

          public static final SizeUnits S

    - #### MS

          public static final SizeUnits MS

  - ### Method Detail

    - #### values

          public static SizeUnits[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SizeUnits c : SizeUnits.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SizeUnits valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### points

          public abstract double points​(double value,
                                        double multiplier,
                                        Font font)

    - #### pixels

          public abstract double pixels​(double value,
                                        double multiplier,
                                        Font font)

    - #### isAbsolute

          public boolean isAbsolute()